package velocity.dateTool;

import java.io.*;
import java.util.*;
import org.apache.velocity.*;
import org.apache.velocity.app.*;

public class DateToolClass {

    public static void main(String[] args) throws Exception {
        Velocity.init();

        Template template = Velocity.getTemplate("./src/velocity/dateTool/dateTool.vm");

        VelocityContext context = new VelocityContext();

        Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("PST"));

        Date date = cal.getTime();
        context.put("date", date);
        

        Writer writer = new StringWriter();
        template.merge(context, writer);

        System.out.println(writer);
    }
}
